Package org.apache.lucene.index

# Class CheckIndex.CheckIndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.lucene.index.CheckIndex.CheckIndexException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CheckIndex`

public static class CheckIndex.CheckIndexException extends RuntimeException
The marker RuntimeException used by CheckIndex APIs when index integrity failure is detected.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckIndexException(String message)`
  Constructs a new CheckIndexException with the error message
  `CheckIndexException(String message, Throwable cause)`
  Constructs a new CheckIndexException with the error message, and the root cause

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CheckIndexException

    public CheckIndexException(String message)
    Constructs a new CheckIndexException with the error message
    Parameters:
      `message` - the detailed error message.

  - ### CheckIndexException

    public CheckIndexException(String message, Throwable cause)
    Constructs a new CheckIndexException with the error message, and the root cause
    Parameters:
      `message` - the detailed error message.
      `cause` - the underlying cause.